| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
lfun::

# Method lfun::_sizeof()

Method _sizeof

  `int _sizeof()`

Description

  Size query callback.

  Called by sizeof() to determine the number of elements in an object. If this function is not present, the number of public symbols in the object will be returned.

Returns

  Expected to return the number of valid indices in the object.

Note

  It's assumed that this function is side-effect free.

See also

  sizeof()